#include <stdio.h>

int main()
{
    int N,M;
    scanf("%d %d",&N,&M);
   
    int d[N];
    int u[N];
    int odgovori[M];
    for(int i=1;i<=M;i++){
        odgovori[i]=0;
    }
   
   
    for(int i=1;i<=N;i++){
        scanf("%d %d",&d[i],&u[i]);
    }

    int l,r,x;
    for(int i=1;i<=M;i++){
        scanf("%d %d %d",&l,&r,&x);
        for(int j=l;j<=r;j++){
            if(d[j]<=x && u[j]>=x){
                odgovori[i]+=1;
            }
        }
    }
   
    for(int i=1;i<=M;i++){
        printf("%d\n",odgovori[i]);
    }

    return 0;
}